diff --git a/libr/core/disasm.c b/libr/core/disasm.c
index 73b7a937f83..0a0ee4a634d 100644
--- a/libr/core/disasm.c
+++ b/libr/core/disasm.c
@@ -3687,7 +3687,7 @@ R_API int r_core_print_disasm(RPrint *p, RCore *core, ut64 addr, ut8 *buf, int l
 
 		if (ds->show_comments && !ds->show_comment_right) {
 			ds_show_refs (ds);
-			ds_build_op_str (ds);
+			// ds_build_op_str (ds);
 			ds_print_ptr (ds, len + 256, idx);
 			if (!ds->pseudo) {
 				R_FREE (ds->opstr);
